curl --request GET \
--url https://api.pickupbell.com/locations/{locationId}/agent-config \
--header 'Authorization: Bearer <token>'{
"data": {
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice_id": "<string>",
"voice_name": "<string>",
"greeting_primary": "<string>",
"greeting_after_hours": "<string>",
"greeting_emergency": "<string>",
"greeting_voicemail": "<string>",
"greeting_cant_help": "<string>",
"personality_formality": 0.5,
"personality_pace": 0.5,
"personality_empathy": 0.5,
"personality_verbosity": 0.5,
"rules": [
{
"on": true,
"title": "<string>",
"action": "<string>"
}
],
"emergency_keywords": [
"<string>"
],
"vulnerable_signals": [
"<string>"
],
"transfer_number": "<string>",
"transfer_ring_seconds": 123,
"ai_self_id": true,
"two_party_consent": true,
"pricebook_lock": true,
"no_pii_collection": true,
"profanity_filter": true,
"updated_at": "2023-11-07T05:31:56Z"
}
}curl --request GET \
--url https://api.pickupbell.com/locations/{locationId}/agent-config \
--header 'Authorization: Bearer <token>'{
"data": {
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice_id": "<string>",
"voice_name": "<string>",
"greeting_primary": "<string>",
"greeting_after_hours": "<string>",
"greeting_emergency": "<string>",
"greeting_voicemail": "<string>",
"greeting_cant_help": "<string>",
"personality_formality": 0.5,
"personality_pace": 0.5,
"personality_empathy": 0.5,
"personality_verbosity": 0.5,
"rules": [
{
"on": true,
"title": "<string>",
"action": "<string>"
}
],
"emergency_keywords": [
"<string>"
],
"vulnerable_signals": [
"<string>"
],
"transfer_number": "<string>",
"transfer_ring_seconds": 123,
"ai_self_id": true,
"two_party_consent": true,
"pricebook_lock": true,
"no_pii_collection": true,
"profanity_filter": true,
"updated_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.pickupbell.com/llms.txt
Use this file to discover all available pages before exploring further.